This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 490049 - An error occurred when attempting to load an installer interface component. className = UpgradeBootloaderWindow
An error occurred when attempting to load an installer interface component. c...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 19:41 EDT by Christopher Aillon
Modified: 2009-03-13 14:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-13 14:25:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2009-03-12 19:41:02 EDT
Using a rawhide x86-64 boot.iso downloaded just now, trying to upgrade an F10 fully updated system, I get to the screen where it asks whether I want to Install vs Upgrade.  I chose upgrade, and got:

    ------------------------------------------------------
   |                         Error!                       |
   |------------------------------------------------------|
   |   .                                                  |
   |  / \   An error occurred when attempting to load an  |
   | /_!_\  installer interface component.                |
   |                                                      |
   |        className = UpgradeBootloaderWindow           |
   |                                                      |
   |                             [  Exit  ] [  Retry  ]   |
   |______________________________________________________|
Comment 1 Chris Lumens 2009-03-13 09:59:11 EDT
Can you switch to tty1 and tty3 to see what tracebacks might be present?  This error means a traceback was hit while trying to run that installer screen, which has the unfortunate side effect of hiding the actual error message.
Comment 2 Christopher Aillon 2009-03-13 12:16:32 EDT
tty1:

Running anaconda 11.5.0.28, the Fedora system installer -- please wait...
18:30:47 Starting graphical installation...
Running... ['udevadm', 'trigger', '--subsystem-match=block']
Running... ['udevadm', 'settle', '--timeout2']
Running... ['udevadm', 'settle', '--timeout2']
Running... ['udevadm', 'settle', '--timeout2']
No module named checkbootloader

tty3:

[2009-03-12 18:36:29,913]    INFO: set SELinux context for newly mounted filesy
stem root at /mnt/sysimage/proc to False
[2009-03-12 18:36:29,938]    INFO: set SELinux context for mountpoint /mnt/sysi
mage/sys to False
[2009-03-12 18:36:29,977]    INFO: set SELinux context for newly mounted filesy
stem root at /mnt/sysimage/sys to False
[2009-03-12 18:36:30,134]   DEBUG: getFormat('bind') returning BindFS instance
[2009-03-12 18:36:30,135]    INFO: set SELinux context for mountpoint /mnt/sysi
mage/dev to False
[2009-03-12 18:36:30,149]    INFO: set SELinux context for newly mounted filesy
stem root at /mnt/sysimage/dev to False
18:36:34 INFO    : moving (1) to step upgradearchitecture
18:36:34 INFO    : moving (1) to step upgradecontinue
18:36:34 INFO    : moving (1) to step upgrademigfind
18:36:34 INFO    : moving (1) to step enablefilesystems
[2009-03-12 18:36:35,080]   DEBUG: pruning action queue...
[2009-03-12 18:36:35,080]   DEBUG: sorting actions...
[2009-03-12 18:36:35,081]   DEBUG: resetting parted disks...
[2009-03-12 18:36:35,084]   DEBUG: getFormat('bind') returning BindFS instance
[2009-03-12 18:36:35,085]    INFO: set SELinux context for mountpoint /mnt/sysi
mage/dev to False
[2009-03-12 18:36:35,085]    INFO: set SELinux context for newly mounted filesy
stem root at /mnt/sysimage/dev to False
18:36:35 INFO    : moving (1) to step upgbootloader
Comment 3 Chris Lumens 2009-03-13 14:25:35 EDT
This should be fixed in the next build of anaconda.  Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.